Overview | Package | Class | Tree | Deprecated | Index | Help
| J2EE1.4 SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.appserv.server
Class ServerLifecycleException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              com.sun.appserv.server.ServerLifecycleException

All Implemented Interfaces:
  java.io.Serializable

public final class ServerLifecycleException
extends java.lang.Exception

Exception thrown by application server lifecycle modules and subsystems. These exceptions are generally considered fatal to the operation of application server.

See Also:
  Serialized Form

Constructor Summary
`ServerLifecycleException()` Construct a new LifecycleException with no other information.
`ServerLifecycleException(java.lang.String message)` Construct a new LifecycleException for the specified message.
`ServerLifecycleException(java.lang.String message, java.lang.Throwable rootCause)` Construct a new LifecycleException for the specified message and throwable.
`ServerLifecycleException(java.lang.Throwable rootCause)` Construct a new LifecycleException for the specified throwable.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ServerLifecycleException

    public ServerLifecycleException()

  Construct a new LifecycleException with no other information.

### ServerLifecycleException

    public ServerLifecycleException(java.lang.String message)

  Construct a new LifecycleException for the specified message.

Parameters:
  `message` - Message describing this exception

### ServerLifecycleException

    public ServerLifecycleException(java.lang.Throwable rootCause)

  Construct a new LifecycleException for the specified throwable.

### ServerLifecycleException

    public ServerLifecycleException(java.lang.String message,
                                    java.lang.Throwable rootCause)

  Construct a new LifecycleException for the specified message and throwable.

Parameters:
  `message` - Message describing this exception
  `rootCause` - Throwable that caused this exception

Overview | Package | Class | Tree | Deprecated | Index | Help
| J2EE1.4 SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature

Copyright 2003 Sun Microsystems, Inc. All rights reserved.